Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

An Account API key, an App API key, an account access token, or an account-scoped user token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-29-8"

Path Parameters

id
string
required

Webhook ID, prefixed hook_.

Query Parameters

first
integer
default:50

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

sent_after
string<date-time>

Only deliveries sent at or after this ISO 8601 timestamp. Deliveries are retained for 30 days.

sent_before
string<date-time>

Only deliveries sent at or before this ISO 8601 timestamp.

events
enum<string>[]

Only deliveries of these event types. Repeat the parameter to pass several.

Available options:
account.updated,
account.financing_approved,
account.financing_denied,
account.financing_disabled,
invoice.created,
invoice.marked_uncollectible,
invoice.paid,
invoice.past_due,
invoice.voided,
membership.activated,
membership.deactivated,
membership.trial_ending_soon,
membership.updated,
entry.created,
entry.approved,
entry.denied,
entry.deleted,
export.completed,
export.failed,
setup_intent.requires_action,
setup_intent.succeeded,
setup_intent.canceled,
ledger_account.funds_available,
swap.completed,
deposit.succeeded,
financial_activity.funds_available,
transfer.created,
transfer.completed,
transfer.failed,
withdrawal.created,
withdrawal.updated,
withdrawal.reversed,
payout.created,
payout.updated,
payout.reversed,
card_transaction.created,
card_transaction.updated,
card_transaction.completed,
card_transaction.declined,
card_transaction.reversed,
card.created,
card.updated,
card.frozen,
card.canceled,
card_application.created,
card_application.updated,
card_application.approved,
card_application.denied,
course_lesson_interaction.completed,
domain.created,
domain.updated,
domain.deleted,
payout_method.created,
verification.succeeded,
identity_profile.approved,
identity_profile.rejected,
identity_profile.needs_action,
identity_profile.updated,
payout_account.status_updated,
payment.authorized,
payment.canceled,
resolution_center_case.created,
resolution_center_case.updated,
resolution_center_case.decided,
product.created,
product.updated,
product.deleted,
product.published,
product.unpublished,
plan.created,
plan.updated,
plan.deleted,
shipment.created,
shipment.updated,
member.created,
member.updated,
ad_campaign.created,
ad_campaign.payment_failed,
ad_campaign.updated,
ad_campaign.events,
ad_group.created,
ad_group.updated,
ad.created,
ad.updated,
app_installation.created,
app_installation.deleted,
chat.message.created,
chat.reaction.created,
payment.created,
payment.succeeded,
payment.failed,
payment.pending,
payment.requires_action,
dispute.created,
dispute.updated,
refund.created,
refund.updated,
dispute_alert.created,
membership.cancel_at_period_end_changed,
membership.went_valid,
membership.went_invalid,
membership.metadata_updated,
resolution.created,
resolution.updated,
resolution.decided,
payment.affiliate_reward_created,
membership.experience_claimed,
app_membership.went_valid,
app_membership.went_invalid,
app_payment.created,
app_payment.succeeded,
app_payment.failed,
app_payment.pending,
app_payment.requires_action,
app_membership.cancel_at_period_end_changed
status
enum<string>

Only deliveries with this outcome: success for a 2xx response, error otherwise.

Available options:
success,
error
resource_id
string

Only deliveries triggered by this resource.

Example:

"pay_xxxxxxxxxxxxx"

Response

deliveries listed

data
object[]
required
page_info
object
required